Subject: bug#9554: 24.0.50; shell-mode completion broken

From: Stefan Monnier <[email-masked]>
Date: Mon, 19 Sep 2011 21:44:32 -0400

> It results in broken completion in two cases that I've noticed (before
> disabling it) and probably in lots of other cases.  pcomplete had
> practically no users until now, it's not good enough to be enabled by
> default in Emacs 24.

It's been enabled by default for several months now.

> The two cases I've noticed:
> 1) Create two files with `touch foo bar'. Then type `rm foo b' and try
>    to complete 'bar'.

That was reported a few weeks ago by Kenichi Handa, and I happen to fix
it just a few minutes ago.

> 2) Try to scp a local file (e.g. `scp /<TAB>'). pcomplete insists on
>    completing host names, not file names.

Yes, that's an instance of a more general problem with pcomplete.
I have a fix in the works for it (but don't hold your breath, my
progress is fairly slow on this front).

        Stefan